Page MenuHomePhabricator

Convenient Discussions project
Closed, ResolvedPublic

Description

Hello, I want to create a Convenient Discussions Phabricator project.
Source: https://ru.wikipedia.org/wiki/Участник:Jack_who_built_the_house/Удобные_дискуссии
GitHub: https://github.com/jwbth/convenient-discussions

Project type: Component
Name: Convenient Discussions
Description: Convenient Discussions is a shell script over the existing Wikipedia discussion system that allows you to send and edit messages without switching to a separate page.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2019, 12:00 PM
Iniquity updated the task description. (Show Details)Jan 21 2019, 12:01 PM

Hi, thanks for the interest. What is a "script" exactly? In which exact location is its code hosted? What do you mean by "the existing Wikipedia discussion system"? StructuredDiscussions? Talk pages? MediaWiki-extensions-LiquidThreads? Something else?

@Aklapper hello:)

What is a "script" exactly? In which exact location is its code hosted?

https://ru.wikipedia.org/wiki/Участник:Jack_who_built_the_house/convenientDiscussions.js. But we hope that we will move it to the gerrit.

What do you mean by "the existing Wikipedia discussion system"? StructuredDiscussions? Talk pages? MediaWiki-extensions-LiquidThreads? Something else?

Yes, something like StructuredDiscussion but this script works with current wiki-markup. You can install it in your common.js and test it on my talk page, for example: https://ru.wikipedia.org/wiki/Обсуждение_участника:Iniquity.

I admit I am reluctant to create projects in Phab for smaller on-wiki code projects as long as https://phabricator.wikimedia.org/T121470 is not resolved. Communication to users where to report issues is pretty hard for on-wiki code. I'm very happy to do this though if there is a code repository in Git/Gerrit. :)

Iniquity changed the task status from Open to Stalled.Jan 21 2019, 1:29 PM
This comment was removed by Iniquity.

I admit I am reluctant to create projects in Phab for smaller on-wiki code projects as long as https://phabricator.wikimedia.org/T121470 is not resolved. Communication to users where to report issues is pretty hard for on-wiki code. I'm very happy to do this though if there is a code repository in Git/Gerrit. :)

Oh, ok, I will talk to the main author about this :) However, in a short time, I think it will cease to be a local gadget.

Iniquity updated the task description. (Show Details)Jan 21 2019, 1:59 PM

Hello. @Aklapper, well, it's anything but a small project, its total code size is about 400 KB after Babel, 200 KB with uglification. I plan to spread it to other projects, so interproject communication on Phabricator would be nice. Its github repository is here: https://github.com/jwbth/convenient-discussions. So, do you ask to create a repository on Gerrit too?

Iniquity updated the task description. (Show Details)Jan 22 2019, 1:03 PM
Iniquity changed the task status from Stalled to Open.

@Aklapper we need you :) Is it necessary to create gerrit repo or git repo is enough?

Github is fine but you want to disable the "Issues" tab to only have one place for tasks, I guess, plus add a README that explains where to file issues? :)

Aklapper closed this task as Resolved.Jan 25 2019, 10:38 AM
Aklapper moved this task from Incoming to Projects to create on the Project-Admins board.
Aklapper claimed this task.

Requested public project Convenient-Discussions has been created: https://phabricator.wikimedia.org/project/view/3851/

Please encourage interested people to visit the project and to join the project as members, and to watch the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

Feel free to bring up any questions you might have about Phabricator or about best ways to manage projects in Phabricator.

Enjoy!

Thanks a lot :)